Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class UnauthenticatedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.makumba.commons.WrappedException
                  org.makumba.LogicException
                      org.makumba.UnauthorizedException
                          org.makumba.UnauthenticatedException

All Implemented Interfaces:
  Serializable

    public class UnauthenticatedException

extends UnauthorizedException

An unauthenticated exception, typically due to a missing attribute

See Also:
  Serialized Form

Constructor Summary
`UnauthenticatedException()`
`UnauthenticatedException(String message)`

Method Summary
`String` | `getAttributeName()`
`String` | `getMessage()`
`void` | `setAttributeName(String s)` set the missing attribute name

Methods inherited from class org.makumba.commons.WrappedException
`getReason, isControllerOriginated, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnauthenticatedException

    public UnauthenticatedException()

### UnauthenticatedException

    public UnauthenticatedException(String message)

Method Detail

### getAttributeName

    public String getAttributeName()

### setAttributeName

    public void setAttributeName(String s)

  set the missing attribute name

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20